TokenFilter.ChainableReaderFilter (Apache Ant API)
Keywords: org.apache.tools.ant.filters.TokenFilter.ChainableReaderFilter class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.filters
Class TokenFilter.ChainableReaderFilter

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.filters.TokenFilter.ChainableReaderFilter

All Implemented Interfaces:
  java.lang.Cloneable, ChainableReader, TokenFilter.Filter

Direct Known Subclasses:
  ScriptFilter, TokenFilter.ContainsRegex, TokenFilter.IgnoreBlank, TokenFilter.ReplaceRegex, TokenFilter.ReplaceString, TokenFilter.Trim, UniqFilter

Enclosing class:
  TokenFilter

    public abstract static class TokenFilter.ChainableReaderFilter

extends ProjectComponent
implements ChainableReader, TokenFilter.Filter

Abstract class that converts derived filter classes into ChainableReaderFilter's

Field Summary

Fields inherited from class org.apache.tools.ant.ProjectComponent
`description, location, project`

Constructor Summary
`TokenFilter.ChainableReaderFilter()`

Method Summary
`java.io.Reader` | `chain(java.io.Reader reader)` Chain a tokenfilter reader to a reader,
`void` | `setByLine(boolean byLine)` set whether to use filetokenizer or line tokenizer

Methods inherited from class org.apache.tools.ant.ProjectComponent
`clone, getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.tools.ant.filters.TokenFilter.Filter
`filter`

Constructor Detail

### TokenFilter.ChainableReaderFilter

    public TokenFilter.ChainableReaderFilter()

Method Detail

### setByLine

    public void setByLine(boolean byLine)

  set whether to use filetokenizer or line tokenizer

  Parameters:
    `byLine` - if true use a linetokenizer (default) otherwise use a filetokenizer

### chain

    public java.io.Reader chain(java.io.Reader reader)

  Chain a tokenfilter reader to a reader,

  Specified by:
    `chain` in interface `ChainableReader`
  Parameters:
    `reader` - the input reader object
  Returns:
    the chained reader object

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD